Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.conf
Enum SequentialAgendaOption

    java.lang.Object
      java.lang.Enum<SequentialAgendaOption>
          org.drools.conf.SequentialAgendaOption

All Implemented Interfaces:
  Serializable, Comparable<SequentialAgendaOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public enum SequentialAgendaOption

extends Enum<SequentialAgendaOption>
implements SingleValueKnowledgeBaseOption

An Enum for SequentialAgenda option. drools.sequential.agenda = <sequential|dynamic> DEFAULT = sequential

Enum Constant Summary
`DYNAMIC`
`SEQUENTIAL`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the sequential mode option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`static SequentialAgendaOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SequentialAgendaOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SEQUENTIAL

    public static final SequentialAgendaOption SEQUENTIAL

### DYNAMIC

    public static final SequentialAgendaOption DYNAMIC

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the sequential mode option

  See Also:
    Constant Field Values

Method Detail

### values

    public static SequentialAgendaOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SequentialAgendaOption c : SequentialAgendaOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SequentialAgendaOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.